Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.net.server
Class SecureTcpSocketServer<T extends InputStream>

    java.lang.Object
      org.apache.logging.log4j.core.LogEventListener
          org.apache.logging.log4j.core.net.server.AbstractSocketServer<T>
              org.apache.logging.log4j.core.net.server.TcpSocketServer<T>
                  org.apache.logging.log4j.core.net.server.SecureTcpSocketServer<T>

Type Parameters:
  `T` - The kind of input stream read

All Implemented Interfaces:
  Runnable, EventListener

    public class SecureTcpSocketServer<T extends InputStream>

extends TcpSocketServer<T>

Listens for events over a secure socket connection (SSL/TLS).

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.logging.log4j.core.net.server.AbstractSocketServer
`AbstractSocketServer.ServerConfigurationFactory`

Field Summary

Fields inherited from class org.apache.logging.log4j.core.net.server.AbstractSocketServer
`logEventInput, logger, MAX_PORT`

Constructor Summary
`SecureTcpSocketServer(int port, LogEventBridge<T> logEventInput, SslConfiguration sslConfig)`

Method Summary

Methods inherited from class org.apache.logging.log4j.core.net.server.TcpSocketServer
`createJsonSocketServer, createSerializedSocketServer, createXmlSocketServer, main, run, shutdown`

Methods inherited from class org.apache.logging.log4j.core.net.server.AbstractSocketServer
`isActive, setActive, startNewThread`

Methods inherited from class org.apache.logging.log4j.core.LogEventListener
`log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecureTcpSocketServer

    public SecureTcpSocketServer(int port,
                                 LogEventBridge<T> logEventInput,
                                 SslConfiguration sslConfig)
                          throws IOException

Throws:
  `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.